Module
Contents
Index 🔎︎

# DateAdd Function

Lägger till ett datumintervall till ett givet datum ett antal gånger och returnerar det resulterande datumet.

## Syntax:

    DateAdd (Tillägg, Antal, Datum)

## Returvärde:

En variant som innehåller ett datum.

## Parametrar:

Add - A string expression from the following table, specifying the date interval.

Tillägg (strängvärde) | Förklaring
åååå | År
q | Kvartal
m | Månad
y | Dagen på året
w | Weekday
ww | Vecka på året
d | Dag
h | Hour
n | Minute
s | Second

Count - A numerical expression specifying how often the Add interval will be added (Count is positive) or subtracted (Count is negative).

Date - A given date or the name of a Variant variable containing a date. The Add value will be added Count times to this value.

## Exempel:

    Sub example_dateadd

        MsgBox DateAdd("m", 1, "1/31/2004") &" - "& DateAdd("m", 1, "1/31/2005")

    End Sub